# Uses of Enum Class
org.bukkit.entity.AbstractArrow.PickupStatus

Packages that use AbstractArrow.PickupStatus
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of AbstractArrow.PickupStatus in org.bukkit.entity

Methods in org.bukkit.entity that return AbstractArrow.PickupStatus
Modifier and Type
Method
Description
`@NotNull AbstractArrow.PickupStatus`
AbstractArrow.`getPickupStatus()`
Gets the current pickup status of this arrow.
`static AbstractArrow.PickupStatus`
AbstractArrow.PickupStatus.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractArrow.PickupStatus[]`
AbstractArrow.PickupStatus.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type AbstractArrow.PickupStatus
Modifier and Type
Method
Description
`void`
AbstractArrow.`setPickupStatus(@NotNull AbstractArrow.PickupStatus status)`
Sets the current pickup status of this arrow.